package com.sinosig.util.domain;

import java.io.Serializable;
import org.springframework.util.DigestUtils;

public class WFEngineDTO implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
     * 引擎标识
     */
    String wfengineid;

    /**
     * 引擎名称
     */
    String wfenginename;

    /**
     * 引擎类型
     */
    String wfenginetype;

    /*
	 * 逻辑名
	 */
	String logicname;

    /**
     * 部署域标识
     */
    String workflowid;

    public String getWfengineid() {
        return this.wfengineid;
	}

	public void setWfengineid(String wfengineid) {
		this.wfengineid = wfengineid;
	}

	public String getWfenginename() {
		return this.wfenginename;
	}

	public void setWfenginename(String wfenginename) {
		this.wfenginename = wfenginename;
	}

	public String getWfenginetype() {
		return this.wfenginetype;
	}

	public void setWfenginetype(String wfenginetype) {
		this.wfenginetype = wfenginetype;
	}

	public String getWorkflowid() {
        return this.workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }

    public String getLogicname() {
		return logicname;
	}

	public void setLogicname(String logicname) {
		this.logicname = logicname;
	}

}
